Subject: Re: bug#35610: Freshly installed IBus intput method is not listed as an input source

From: ison <[email-masked]>
Date: Mon, 6 May 2019 15:48:27 -0600

I currently have ibus with anthy working, but I had this exact same problem at
first. I'm not 100% sure what I finally did to solve it, but I think it may have
been a missing environment variable. Here is what I have set:
export GTK_IM_MODULE_FILE="/run/current-system/profile/lib/gtk-3.0/3.0.0/immodules-gtk3.cache"
export GTK_IM_MODULE="xim"
export XMODIFIERS="@im=ibus"
export QT_IM_MODULE="xim"

I'm thinking the $GTK_IM_MODULE_FILE variable is the missing ingredient. 
However, while attempting to fix this I also installed the packages:
ibus, ibus-anthy, dbus, python-dbus, python2-dbus

If you need these packages too to make it work then perhaps its worth
investigating if the anthy package is missing some dependencies.